#!/usr/bin/python2.2

import signal
import sys
import getopt

##
## I18N
## 
from rhpl.translate import _, N_
import rhpl.translate as translate
translate.textdomain ("redhat-config-mouse")

TRUE = 1
FALSE = 0

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)


def useTextMode():
    import mouse_tui
    app = mouse_tui.childWindow()

def useGuiMode():
    import mouse_gui
    app = mouse_gui.childWindow()
    app.stand_alone()

def useCliMode(mousetype, device, emulthree, help):
    import mouse_cli
    app = mouse_cli.childWindow(mousetype, device, emulthree, help)

mousetype = None

opts, mousetype = getopt.getopt(sys.argv[1:],
                           "d:h",
                           ["noui", "text", "kickstart", "modifyx", "help", "device=", "emulthree"])

if mousetype:
    mousetype = mousetype[0]
emulthree = None
device = None
help = None

for (opt, value) in opts:
    if opt == "--help":
        help = TRUE
        useCliMode(mousetype, device, emulthree, help)
    if opt == "--device":
        device = value
    if opt == "--emulthree":
        emulthree = TRUE

if "--noui" in sys.argv or "--kickstart" in sys.argv or mousetype or emulthree:
    useCliMode(mousetype, device, emulthree, help)

elif "--text" in sys.argv or "-t" in sys.argv:
    useTextMode()

else:
    try:
        useGuiMode()
    except:
        #Gui can't be started for some reason, so use text mode
        print (_("Starting graphical mode failed.  Starting text mode instead."))
        import time
        time.sleep(2)
        useTextMode()
        
